summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaximilian Gaß (mxey) <mxey@cloudconnected.org>2007-09-07 14:21:59 +0000
committerMaximilian Gaß (mxey) <mxey@cloudconnected.org>2007-09-07 14:21:59 +0000
commit1d60737f270fec5ccf643846c3e5ebaddc59203d (patch)
tree9a54658317bb0e4f4c2e91f55d41a0d043561a9a /net-mail
parentnew USE flag 'tdb' for net-mail/fdm (diff)
downloadsunrise-1d60737f270fec5ccf643846c3e5ebaddc59203d.tar.gz
sunrise-1d60737f270fec5ccf643846c3e5ebaddc59203d.tar.bz2
sunrise-1d60737f270fec5ccf643846c3e5ebaddc59203d.zip
net-mail/fdm: updated to 1.3c
svn path=/sunrise/; revision=4562
Diffstat (limited to 'net-mail')
-rw-r--r--net-mail/fdm/ChangeLog3
-rw-r--r--net-mail/fdm/Manifest4
-rw-r--r--net-mail/fdm/fdm-1.3c.ebuild45
3 files changed, 51 insertions, 1 deletions
diff --git a/net-mail/fdm/ChangeLog b/net-mail/fdm/ChangeLog
index 7c1f900fc..4f4e3b892 100644
--- a/net-mail/fdm/ChangeLog
+++ b/net-mail/fdm/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 07 Sep 2007; Maximilian Gass (mxey) <mxey@arcor.de> +fdm-1.3c.ebuild:
+ updated to 1.3c
+
12 Jun 2007; Maximilian Gass (mgass) <mgass@lavabit.com> +fdm-1.1.ebuild,
+metadata.xml:
New Ebuild for bug 163496, thanks to Jokey for validating
diff --git a/net-mail/fdm/Manifest b/net-mail/fdm/Manifest
index cacbaf2f5..0afb536a4 100644
--- a/net-mail/fdm/Manifest
+++ b/net-mail/fdm/Manifest
@@ -1,4 +1,6 @@
DIST fdm-1.1.tar.gz 141981 RMD160 78acfa325d98204e5bb84090de9b1266aefbe696 SHA1 4446242900aa4d660af32b3a9a615bc79da73d8c SHA256 3908d9aab629b6e92789d770ce11963df29ffaa0cc92dd5b13b298376130e999
+DIST fdm-1.3c.tar.gz 160993 RMD160 631435f3bcd533108a5ad8e34ca39897b7f2558c SHA1 c183726212f9ea2d3dc9bf6378fb102a9e6c0920 SHA256 75b8f9dd4f48a9498d27a2b3c58ee24ba629f8615b01a5608e78961abb4fb289
EBUILD fdm-1.1.ebuild 678 RMD160 25d1e36f3bfa206955f3eb77c64541c4e60214ec SHA1 3dac13c73d9933270e157f10df1797dbdd0cf95e SHA256 f61fe416b1a8b65539ff67bc8c7684f928716fcfffc092882e0721a45c58de04
-MISC ChangeLog 267 RMD160 5897e4abcbf351821dc0fd9bbb73464b5fc8a886 SHA1 80a0915ec531420d8f24fac5aa9b749825280345 SHA256 695934c9c6301cb90142eee564c78c2bc2d93c7244b576128b40fbd14575072c
+EBUILD fdm-1.3c.ebuild 852 RMD160 4145ef16754f6156cb6ce3f47871aa2b9c4bd4aa SHA1 a02b50b27bded26a9bdbbf9e7c683d57f75a6c73 SHA256 8f389c61a9468774ea944a5ff0df6568aeaf926aa04fa7891a03652e005dfae5
+MISC ChangeLog 358 RMD160 9aeb8868bbf7450549b883dcdb1d444994f3290e SHA1 073af7ed0f0f9a49b3016523da5cebf6d7fc7317 SHA256 5e98616819d8348f65ad2aa7321030a0966ee7643ab913f525f4997193dd22d0
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/net-mail/fdm/fdm-1.3c.ebuild b/net-mail/fdm/fdm-1.3c.ebuild
new file mode 100644
index 000000000..0c72e2da8
--- /dev/null
+++ b/net-mail/fdm/fdm-1.3c.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="fetch, filter and deliver mail"
+HOMEPAGE="http://fdm.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="pcre tdb"
+
+DEPEND="dev-libs/openssl
+ pcre? ( dev-libs/libpcre )
+ tdb? ( dev-libs/tdb )"
+RDEPEND="${DEPEND}"
+
+src_compile() {
+ if use tdb; then
+ vars="DB=1"
+ fi
+
+ if use pcre; then
+ vars="$vars PCRE=1"
+ fi
+
+ emake $vars
+}
+
+src_install() {
+ dobin fdm || die "installing binary failed"
+ doman fdm.1 fdm.conf.5 || die "Installing man pages failed"
+
+ dodoc CHANGES MANUAL README TODO || die "Installing documentation failed"
+
+ docinto examples
+ dodoc examples/* || die "Installing documentation failed"
+}
+
+pkg_postinst() {
+ enewuser _fdm
+}